edu.isi.pegasus.common.logging.format

## Class Simple

- java.lang.Object
- - edu.isi.pegasus.common.logging.format.AbstractLogFormatter
  - - edu.isi.pegasus.common.logging.format.Simple

All Implemented Interfaces:
  LogFormatter

    public class Simple
    extends AbstractLogFormatter

This formatter formats the messages in the simple format.

Version:
  $Revision$
Author:
  Karan Vahi, Gaurang Mehta

### Field Summary

### Fields inherited from class edu.isi.pegasus.common.logging.format.AbstractLogFormatter

`mProgram, mStack`

### Constructor Summary

Constructors
Constructor and Description
`Simple()` The default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`LogFormatter` `add(java.lang.String value)` Add to the log message with just a value.
`void` `addEvent(java.lang.String name, java.util.Map<java.lang.String,java.lang.String> map)` Adds the event that is to be associated with the log messages onto an internal stack
`void` `addEvent(java.lang.String name, java.lang.String entityName, java.lang.String entityID)` Adds the event that is to be associated with the log messages onto an internal stack

### Methods inherited from class edu.isi.pegasus.common.logging.format.AbstractLogFormatter

`add, createEntityHierarchyMessage, createLogMessage, createLogMessageAndReset, getEndEventMessage, getEventName, getProgramName, getStartEventMessage, popEvent, setProgramName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Simple

    public Simple()

The default constructor.

### Method Detail

#### add

    public LogFormatter add(java.lang.String value)

Add to the log message with just a value.

Specified by:
  `add` in interface `LogFormatter`
Overrides:
  `add` in class `AbstractLogFormatter`
Parameters:
  `value` -
Returns:
  self-reference

#### addEvent

    public void addEvent(java.lang.String name,
                         java.lang.String entityName,
                         java.lang.String entityID)

Adds the event that is to be associated with the log messages onto an internal stack

Specified by:
  `addEvent` in interface `LogFormatter`
Specified by:
  `addEvent` in class `AbstractLogFormatter`
Parameters:
  `name` - the name of the event to be associated
  `entityName` - the primary entity that is associated with the event e.g. workflow
  `entityID` - the id of that entity.

#### addEvent

    public void addEvent(java.lang.String name,
                         java.util.Map<java.lang.String,java.lang.String> map)

Adds the event that is to be associated with the log messages onto an internal stack

Parameters:
  `name` - the name of the event to be associated
  `map` - Map indexed by entity name . The values is corresponding EntityID